Subject: Re: bug#33532: 26.1; set-window-configuration does not restore display start

From: martin rudalics <[email-masked]>
Date: Sun, 02 Dec 2018 09:34:39 +0100

>> We could store - in configurations and states - both, markers and
 >> their corresponding pure positions.  Then if, when restoring a
 >> configuration or state, a marker's position has dropped to 1 while the
 >> corresponding saved pure position is > 1, use the the pure position
 >> instead.  This should automatically fix your case and not violate any
 >> others.  Juri what do you think?
 >
 > I see no drawbacks, let's try storing both (maybe together with
 > metadata like dired-filename).

It will fail when a window is stowed away in a list or configuration
and the entire stretch of the buffer from 'point-min' up to some
position at or after the stored point position is deleted.  In that
case, the point of any window showing the buffer should rightfully
drop to 'point-min' but in our case it would go to the old position
when the buffer is re-shown in the window.  While this might be a rare
use case, it would be confusing nevertheless.

martin